Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class PersistentSearchImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.PersistentSearchImpl

All Implemented Interfaces:
  PersistentSearch

    public class PersistentSearchImpl

extends java.lang.Object
implements PersistentSearch

This class is used to implement the Persistent Search mechanism. It registers a listener to the LDAP server based on the parameters received from the user.

Version:
  $Revision: 1.6 $
Author:

Constructor Summary
`PersistentSearchImpl(LDAPClientApplicationImpl app)` Creates a new instance of PersistentSearch

Method Summary
`java.lang.String` | `getContextName()` Method to retrieve the context name on which the listener is listening
`java.lang.String` | `getEntryName()` Method to retrieve the entry name on which the listener is interested.
`STCEventQueue` | `getEventQueue()` Method to retrieve the event queue associated with this search operation
`java.lang.String` | `getSearchFilter()` Method to retrieve the search filter that was set for this search operation
`int` | `getSearchScope()` Method to retrieve the search scope that was set for this search operation
`void` | `reset()` Method to reset the values
`void` | `search()` Method that is invoked by the client to initiate a Persistent Search.
`void` | `setContextName(java.lang.String contextName)` Method to set the context name on which the listener should listening
`void` | `setEntryName(java.lang.String entryName)` Method to set the entry name on which the listener is interested.
`void` | `setSearchFilter(java.lang.String searchFilter)` Method to set the search filter for this search operation
`void` | `setSearchScope(int searchScope)` Method to set the search scope for this search operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentSearchImpl

    public PersistentSearchImpl(LDAPClientApplicationImpl app)

  Creates a new instance of PersistentSearch

  Parameters:
    `app` - The LDAP client application associated with this PersistentSearch instance.

Method Detail

### reset

    public void reset()

  Description copied from interface: `PersistentSearch`
  Method to reset the values

  Specified by:
    `reset` in interface `PersistentSearch`

### getSearchScope

    public int getSearchScope()
                       throws LDAPApplicationException

  Method to retrieve the search scope that was set for this search operation

  Specified by:
    `getSearchScope` in interface `PersistentSearch`
  Returns:
    the integer value representing the search scope set
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setSearchScope

    public void setSearchScope(int searchScope)
                        throws LDAPApplicationException

  Method to set the search scope for this search operation

  Specified by:
    `setSearchScope` in interface `PersistentSearch`
  Parameters:
    `the` - integer value representing the search scope set
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getContextName

    public java.lang.String getContextName()
                                    throws LDAPApplicationException

  Method to retrieve the context name on which the listener is listening

  Specified by:
    `getContextName` in interface `PersistentSearch`
  Returns:
    the context name on which the listener is listening for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setContextName

    public void setContextName(java.lang.String contextName)
                        throws LDAPApplicationException

  Method to set the context name on which the listener should listening

  Specified by:
    `setContextName` in interface `PersistentSearch`
  Parameters:
    `the` - context name on which the listener should be listening for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEntryName

    public java.lang.String getEntryName()
                                  throws LDAPApplicationException

  Method to retrieve the entry name on which the listener is interested. Listener's can be registered on each entry basis.

  Specified by:
    `getEntryName` in interface `PersistentSearch`
  Returns:
    the entry name on which the listener is interested for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setEntryName

    public void setEntryName(java.lang.String entryName)
                      throws LDAPApplicationException

  Method to set the entry name on which the listener is interested. Listener's can be registered on each entry basis.

  Specified by:
    `setEntryName` in interface `PersistentSearch`
  Parameters:
    `the` - entry name on which the listener is interested for updates
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getSearchFilter

    public java.lang.String getSearchFilter()
                                     throws LDAPApplicationException

  Method to retrieve the search filter that was set for this search operation

  Specified by:
    `getSearchFilter` in interface `PersistentSearch`
  Returns:
    the search filter that was set for this search operation
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### setSearchFilter

    public void setSearchFilter(java.lang.String searchFilter)
                         throws LDAPApplicationException

  Method to set the search filter for this search operation

  Specified by:
    `setSearchFilter` in interface `PersistentSearch`
  Parameters:
    `the` - search filter that is to be set for this search operation
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEventQueue

    public STCEventQueue getEventQueue()
                                throws LDAPApplicationException

  Method to retrieve the event queue associated with this search operation

  Specified by:
    `getEventQueue` in interface `PersistentSearch`
  Returns:
    the event queue as a STCEventQueue object
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### search

    public void search()
                throws LDAPApplicationException

  Method that is invoked by the client to initiate a Persistent Search. This method registers a listener based on the parameters provided by the user.

  Specified by:
    `search` in interface `PersistentSearch`
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD